summaryrefslogtreecommitdiffhomepage
path: root/scripts/runtime_tests.sh
diff options
context:
space:
mode:
authorAdin Scannell <ascannell@google.com>2020-04-20 11:08:01 -0700
committergVisor bot <gvisor-bot@google.com>2020-04-20 11:08:59 -0700
commit9ba3086d9dfc7e9a4a957446f443786b179cd84e (patch)
treea33c77bb2c073a68e71d98724e75fd74a711266b /scripts/runtime_tests.sh
parente72ce8cce46ed48af306df50d252853c8790924d (diff)
Move runtime_tests.sh to align with other scripts.
PiperOrigin-RevId: 307435879
Diffstat (limited to 'scripts/runtime_tests.sh')
-rwxr-xr-xscripts/runtime_tests.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/runtime_tests.sh b/scripts/runtime_tests.sh
new file mode 100755
index 000000000..350a59f7c
--- /dev/null
+++ b/scripts/runtime_tests.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Copyright 2019 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+source $(dirname $0)/common.sh
+
+# Check that a runtime is provided.
+if [ ! -v RUNTIME_TEST_NAME ]; then
+ echo "Must set $RUNTIME_TEST_NAME" >&2
+ exit 1
+fi
+
+install_runsc_for_test runtimes
+test_runsc "//test/runtimes:${RUNTIME_TEST_NAME}_test"